Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 619699 - Spacewalk return error when receive unicode string in xmlrpc communication
Spacewalk return error when receive unicode string in xmlrpc communication
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space11 619702
  Show dependency treegraph
 
Reported: 2010-07-30 04:18 EDT by Miroslav Suchý
Modified: 2010-08-19 04:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 619702 (view as bug list)
Environment:
Last Closed: 2010-08-19 04:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-07-30 04:18:54 EDT
Description of problem:
During work on https://bugzilla.redhat.com/show_bug.cgi?id=579830
I find that if we send unicode string in xmlrpc, we will get from server rhnFault

While running 'registration.add_hw_profile': caught
exceptions.UnicodeEncodeError : 'ascii' codec can't encode character u'\xae' in position 44: ordinal not in range(128) 

This is becouse we do in backend/server/rhnSQL/driver_cx_Oracle.py
     def _execute_wrapper(self, function, *p, **kw):
        params =  ','.join(["%s: %s" % (str(key), str(value)) for key, value \

and str on e.g. '\xae' will fail.
Comment 1 Miroslav Suchý 2010-08-03 09:46:11 EDT
commited as 7c5552b1f44df01a3a5e0f3b15c29b5a586d0594
Comment 2 Milan Zázrivec 2010-08-19 04:24:31 EDT
Spacewalk 1.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.